---
title: Create a new LLM Observability prompt version
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > LLM Observability
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create a new LLM Observability prompt version{% #create-a-new-llm-observability-prompt-version %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                      |
| ----------------- | --------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/llm-obs/v1/prompts/{prompt_id}/versions      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions |

### Overview

Create a new version of an existing LLM Observability prompt. This endpoint requires all of the following permissions:
`llm_observability_read``llm_observability_write``feature_flag_config_read``feature_flag_config_write``feature_flag_environment_config_read` 


### Arguments

#### Path Parameters

| Name                        | Type   | Description                                                       |
| --------------------------- | ------ | ----------------------------------------------------------------- |
| prompt_id [*required*] | string | The customer-provided identifier of the LLM Observability prompt. |

### Request

#### Body Data (required)

Create prompt version payload.

{% tab title="Model" %}

| Parent field | Field                        | Type          | Description                                                                                                                               |
| ------------ | ---------------------------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]       | object        | Data object for creating an LLM Observability prompt version.                                                                             |
| data         | attributes [*required*] | object        | Attributes for creating a new version of an LLM Observability prompt. `template` is required; all other attributes are optional.          |
| attributes   | description                  | string        | Optional description of this version.                                                                                                     |
| attributes   | env_ids                      | [string]      | Optional feature-flag environment UUIDs the service attempts to enable and configure to use this version as their default after creation. |
| attributes   | labels                       | [string]      | **DEPRECATED**: Optional labels to attach to this version. Do not use this attribute for new integrations.                                |
| attributes   | template [*required*]   |  <oneOf> | A text template or a list of chat messages.                                                                                               |
| template     | Object 1                     | string        | A text prompt template.                                                                                                                   |
| template     | Object 2                     | [object]      | A chat prompt template.                                                                                                                   |
| Object 2     | content [*required*]    | string        | Content of the message.                                                                                                                   |
| Object 2     | role [*required*]       | string        | Role of the message (for example `system`, `user`, or `assistant`).                                                                       |
| attributes   | user_version                 | string        | Optional user-supplied version identifier for this version.                                                                               |
| data         | type [*required*]       | enum          | Resource type of an LLM Observability prompt version. Allowed enum values: `prompt-template-versions`                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "template": [
        {
          "content": "You are a concise customer support assistant for {{company_name}}.",
          "role": "system"
        },
        {
          "content": "Answer {{customer_name}}'s question: {{question}}",
          "role": "user"
        }
      ]
    },
    "type": "prompt-template-versions"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a specific version of an LLM Observability prompt.

| Parent field | Field                         | Type          | Description                                                                                           |
| ------------ | ----------------------------- | ------------- | ----------------------------------------------------------------------------------------------------- |
|              | data [*required*]        | object        | Data object for a specific version of an LLM Observability prompt.                                    |
| data         | attributes [*required*]  | object        | Attributes of a specific version of an LLM Observability prompt.                                      |
| attributes   | author                        | string        | UUID of the user who authored this version.                                                           |
| attributes   | created_at                    | date-time     | Timestamp stored on this prompt version.                                                              |
| attributes   | datasets                      | [object]      | Datasets observed in runs associated with this prompt version.                                        |
| datasets     | id [*required*]          | string        | Unique identifier of the dataset.                                                                     |
| datasets     | name                          | string        | Name of the dataset.                                                                                  |
| attributes   | description                   | string        | Description of this version.                                                                          |
| attributes   | labels                        | [string]      | **DEPRECATED**: Labels attached to this version (for example `development`, `staging`, `production`). |
| attributes   | last_seen_at                  | date-time     | Timestamp of the most recent observed run of this prompt version.                                     |
| attributes   | ml_app                        | string        | The ML application this prompt is associated with.                                                    |
| attributes   | ml_apps                       | [string]      | ML applications observed running this prompt version.                                                 |
| attributes   | prompt_id [*required*]   | string        | Customer-provided identifier of the parent prompt.                                                    |
| attributes   | prompt_uuid [*required*] | string        | Unique identifier of the parent prompt.                                                               |
| attributes   | tags                          | [string]      | Tags observed on runs of this prompt version.                                                         |
| attributes   | template [*required*]    |  <oneOf> | A text template or a list of chat messages.                                                           |
| template     | Object 1                      | string        | A text prompt template.                                                                               |
| template     | Object 2                      | [object]      | A chat prompt template.                                                                               |
| Object 2     | content [*required*]     | string        | Content of the message.                                                                               |
| Object 2     | role [*required*]        | string        | Role of the message (for example `system`, `user`, or `assistant`).                                   |
| attributes   | user_version                  | string        | User-supplied identifier for this version.                                                            |
| attributes   | version [*required*]     | int64         | Sequential version number.                                                                            |
| attributes   | version_created_at            | date-time     | Timestamp when this version was created.                                                              |
| data         | id [*required*]          | string        | Unique identifier of the prompt version.                                                              |
| data         | type [*required*]        | enum          | Resource type of an LLM Observability prompt version. Allowed enum values: `prompt-template-versions` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "author": "3b12f1df-14fd-4e12-bd6f-4a2f5c8b3d1e",
      "created_at": "2025-02-01T14:30:00Z",
      "description": "Give concise answers and cite relevant help-center articles.",
      "prompt_id": "customer-support-assistant",
      "prompt_uuid": "4a1a28ff-8a25-5f0f-946f-f48264d772eb",
      "template": [
        {
          "content": "You are a helpful customer support assistant for {{company_name}}.",
          "role": "system"
        },
        {
          "content": "Help {{customer_name}} with this question: {{question}}",
          "role": "user"
        }
      ],
      "version": 2,
      "version_created_at": "2025-02-01T14:30:00Z"
    },
    "id": "d83ab666-61cc-5545-a83b-2424bb85467b",
    "type": "prompt-template-versions"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export prompt_id="customer-support-assistant" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/llm-obs/v1/prompts/${prompt_id}/versions" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Give concise answers and cite relevant help-center articles.",
      "template": [
        {
          "content": "You are a helpful customer support assistant for {{company_name}}.",
          "role": "system"
        },
        {
          "content": "Help {{customer_name}} with this question: {{question}}",
          "role": "user"
        }
      ]
    },
    "type": "prompt-template-versions"
  }
}
EOF 
                        
##### 

```go
// Create a new LLM Observability prompt version returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "prompt" in the system
	PromptDataAttributesPromptID := os.Getenv("PROMPT_DATA_ATTRIBUTES_PROMPT_ID")

	body := datadogV2.LLMObsCreatePromptVersionRequest{
		Data: datadogV2.LLMObsCreatePromptVersionData{
			Attributes: datadogV2.LLMObsCreatePromptVersionDataAttributes{
				Template: datadogV2.LLMObsPromptTemplate{
					LLMObsPromptChatTemplate: &datadogV2.LLMObsPromptChatTemplate{Items: []datadogV2.LLMObsPromptChatMessage{
						{
							Content: "You are a concise customer support assistant for {{company_name}}.",
							Role:    "system",
						},
						{
							Content: "Answer {{customer_name}}'s question: {{question}}",
							Role:    "user",
						},
					}}},
			},
			Type: datadogV2.LLMOBSPROMPTVERSIONTYPE_PROMPT_TEMPLATE_VERSIONS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateLLMObsPromptVersion", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	resp, r, err := api.CreateLLMObsPromptVersion(ctx, PromptDataAttributesPromptID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.CreateLLMObsPromptVersion`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LLMObservabilityApi.CreateLLMObsPromptVersion`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Create a new LLM Observability prompt version returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsCreatePromptVersionData;
import com.datadog.api.client.v2.model.LLMObsCreatePromptVersionDataAttributes;
import com.datadog.api.client.v2.model.LLMObsCreatePromptVersionRequest;
import com.datadog.api.client.v2.model.LLMObsPromptChatMessage;
import com.datadog.api.client.v2.model.LLMObsPromptChatTemplate;
import com.datadog.api.client.v2.model.LLMObsPromptTemplate;
import com.datadog.api.client.v2.model.LLMObsPromptVersionResponse;
import com.datadog.api.client.v2.model.LLMObsPromptVersionType;
import java.util.Arrays;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createLLMObsPromptVersion", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    // there is a valid "prompt" in the system
    String PROMPT_DATA_ATTRIBUTES_PROMPT_ID = System.getenv("PROMPT_DATA_ATTRIBUTES_PROMPT_ID");

    LLMObsCreatePromptVersionRequest body =
        new LLMObsCreatePromptVersionRequest()
            .data(
                new LLMObsCreatePromptVersionData()
                    .attributes(
                        new LLMObsCreatePromptVersionDataAttributes()
                            .template(
                                new LLMObsPromptTemplate(
                                    new LLMObsPromptChatTemplate(
                                        Arrays.asList(
                                            new LLMObsPromptChatMessage()
                                                .content(
                                                    "You are a concise customer support assistant"
                                                        + " for {{company_name}}.")
                                                .role("system"),
                                            new LLMObsPromptChatMessage()
                                                .content(
                                                    "Answer {{customer_name}}'s question:"
                                                        + " {{question}}")
                                                .role("user"))))))
                    .type(LLMObsPromptVersionType.PROMPT_TEMPLATE_VERSIONS));

    try {
      LLMObsPromptVersionResponse result =
          apiInstance.createLLMObsPromptVersion(PROMPT_DATA_ATTRIBUTES_PROMPT_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LlmObservabilityApi#createLLMObsPromptVersion");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Create a new LLM Observability prompt version returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_create_prompt_version_data import LLMObsCreatePromptVersionData
from datadog_api_client.v2.model.llm_obs_create_prompt_version_data_attributes import (
    LLMObsCreatePromptVersionDataAttributes,
)
from datadog_api_client.v2.model.llm_obs_create_prompt_version_request import LLMObsCreatePromptVersionRequest
from datadog_api_client.v2.model.llm_obs_prompt_chat_message import LLMObsPromptChatMessage
from datadog_api_client.v2.model.llm_obs_prompt_version_type import LLMObsPromptVersionType

# there is a valid "prompt" in the system
PROMPT_DATA_ATTRIBUTES_PROMPT_ID = environ["PROMPT_DATA_ATTRIBUTES_PROMPT_ID"]

body = LLMObsCreatePromptVersionRequest(
    data=LLMObsCreatePromptVersionData(
        attributes=LLMObsCreatePromptVersionDataAttributes(
            template=[
                LLMObsPromptChatMessage(
                    content="You are a concise customer support assistant for {{company_name}}.",
                    role="system",
                ),
                LLMObsPromptChatMessage(
                    content="Answer {{customer_name}}'s question: {{question}}",
                    role="user",
                ),
            ],
        ),
        type=LLMObsPromptVersionType.PROMPT_TEMPLATE_VERSIONS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_llm_obs_prompt_version"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    response = api_instance.create_llm_obs_prompt_version(prompt_id=PROMPT_DATA_ATTRIBUTES_PROMPT_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Create a new LLM Observability prompt version returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_llm_obs_prompt_version".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

# there is a valid "prompt" in the system
PROMPT_DATA_ATTRIBUTES_PROMPT_ID = ENV["PROMPT_DATA_ATTRIBUTES_PROMPT_ID"]

body = DatadogAPIClient::V2::LLMObsCreatePromptVersionRequest.new({
  data: DatadogAPIClient::V2::LLMObsCreatePromptVersionData.new({
    attributes: DatadogAPIClient::V2::LLMObsCreatePromptVersionDataAttributes.new({
      template: [
        DatadogAPIClient::V2::LLMObsPromptChatMessage.new({
          content: "You are a concise customer support assistant for {{company_name}}.",
          role: "system",
        }),
        DatadogAPIClient::V2::LLMObsPromptChatMessage.new({
          content: "Answer {{customer_name}}'s question: {{question}}",
          role: "user",
        }),
      ],
    }),
    type: DatadogAPIClient::V2::LLMObsPromptVersionType::PROMPT_TEMPLATE_VERSIONS,
  }),
})
p api_instance.create_llm_obs_prompt_version(PROMPT_DATA_ATTRIBUTES_PROMPT_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Create a new LLM Observability prompt version returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsCreatePromptVersionData;
use datadog_api_client::datadogV2::model::LLMObsCreatePromptVersionDataAttributes;
use datadog_api_client::datadogV2::model::LLMObsCreatePromptVersionRequest;
use datadog_api_client::datadogV2::model::LLMObsPromptChatMessage;
use datadog_api_client::datadogV2::model::LLMObsPromptTemplate;
use datadog_api_client::datadogV2::model::LLMObsPromptVersionType;

#[tokio::main]
async fn main() {
    // there is a valid "prompt" in the system
    let prompt_data_attributes_prompt_id =
        std::env::var("PROMPT_DATA_ATTRIBUTES_PROMPT_ID").unwrap();
    let body = LLMObsCreatePromptVersionRequest::new(LLMObsCreatePromptVersionData::new(
        LLMObsCreatePromptVersionDataAttributes::new(
            LLMObsPromptTemplate::LLMObsPromptChatTemplate(vec![
                LLMObsPromptChatMessage::new(
                    "You are a concise customer support assistant for {{company_name}}."
                        .to_string(),
                    "system".to_string(),
                ),
                LLMObsPromptChatMessage::new(
                    "Answer {{customer_name}}'s question: {{question}}".to_string(),
                    "user".to_string(),
                ),
            ]),
        ),
        LLMObsPromptVersionType::PROMPT_TEMPLATE_VERSIONS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateLLMObsPromptVersion", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api
        .create_llm_obs_prompt_version(prompt_data_attributes_prompt_id.clone(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Create a new LLM Observability prompt version returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createLLMObsPromptVersion"] = true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

// there is a valid "prompt" in the system
const PROMPT_DATA_ATTRIBUTES_PROMPT_ID = process.env
  .PROMPT_DATA_ATTRIBUTES_PROMPT_ID as string;

const params: v2.LLMObservabilityApiCreateLLMObsPromptVersionRequest = {
  body: {
    data: {
      attributes: {
        template: [
          {
            content:
              "You are a concise customer support assistant for {{company_name}}.",
            role: "system",
          },
          {
            content: "Answer {{customer_name}}'s question: {{question}}",
            role: "user",
          },
        ],
      },
      type: "prompt-template-versions",
    },
  },
  promptId: PROMPT_DATA_ATTRIBUTES_PROMPT_ID,
};

apiInstance
  .createLLMObsPromptVersion(params)
  .then((data: v2.LLMObsPromptVersionResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
